Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.omg.CORBA
Class StructMemberSeqHelper

    java.lang.Object
      |
      +--org.omg.CORBA.StructMemberSeqHelper

public class StructMemberSeqHelper
extends java.lang.Object

Helper class for : StructMemberSeq

Author:
  OpenORB Compiler

Constructor Summary
`StructMemberSeqHelper()`

Method Summary
`static StructMember[]` | `extract(Any a)` Extract StructMemberSeq from an any
`static java.lang.String` | `id()` Return the StructMemberSeq IDL ID
`static void` | `insert(Any a, StructMember[] t)` Insert StructMemberSeq into an any
`static StructMember[]` | `read(InputStream istream)` Read StructMemberSeq from a marshalled stream
`static TypeCode` | `type()` Return the StructMemberSeq TypeCode
`static void` | `write(OutputStream ostream, StructMember[] value)` Write StructMemberSeq into a marshalled stream

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StructMemberSeqHelper

    public StructMemberSeqHelper()

Method Detail

### insert

    public static void insert(Any a,
                              StructMember[] t)

  Insert StructMemberSeq into an any
  Parameters:
    `a` - an any
    `t` - StructMemberSeq value

### extract

    public static StructMember[] extract(Any a)

  Extract StructMemberSeq from an any
  Parameters:
    `a` - an any
  Returns:
    the extracted StructMemberSeq value

### type

    public static TypeCode type()

  Return the StructMemberSeq TypeCode
  Returns:
    a TypeCode

### id

    public static java.lang.String id()

  Return the StructMemberSeq IDL ID
  Returns:
    an ID

### read

    public static StructMember[] read(InputStream istream)

  Read StructMemberSeq from a marshalled stream
  Parameters:
    `istream` - the input stream
  Returns:
    the readed StructMemberSeq value

### write

    public static void write(OutputStream ostream,
                             StructMember[] value)

  Write StructMemberSeq into a marshalled stream
  Parameters:
    `ostream` - the output stream
    `value` - StructMemberSeq value

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD